#ifndef _Handle_PNaming_Name_HeaderFile
#define _Handle_PNaming_Name_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PNaming_Name;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PNaming_Name);

class Handle(PNaming_Name) : public Handle(Standard_Persistent) {
  public:

    Handle(PNaming_Name)():Handle(Standard_Persistent)() {} 
    Handle(PNaming_Name)(const Handle(PNaming_Name)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PNaming_Name)(const PNaming_Name* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PNaming_Name)& operator=(const Handle(PNaming_Name)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PNaming_Name)& operator=(const PNaming_Name* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PNaming_Name* operator->() const 
     {
      return (PNaming_Name *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PNaming_Name) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
